### CollectSeries

Category

Structuring

Function

Collects objects into a series.

Syntax

    series = CollectSeries(object, position, ...);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`object` | object | no default | object to be collected
`position` | scalar | no default | series position of object
`...` |  |  | additional object-position pair(s)

Outputs

Name | Type | Description
--- | --- | ---
`series` | series | the output series

Functional Details

This module creates a series group from specified objects (e.g., a time series from a set of fields). The data and connections types of each field in the series must be the same.

`object` | is an object to be placed in the series
`position` | specifies the series position (e.g., time tag) of the preceding object

A single CollectSeries module can have up to 21 `object`,`position` pairs. The default number of enabled parameter pairs (i.e. `object`,`position`) is two. (Tabs can be added to the module icon and removed with the appropriate `...Input Tab` options in the `Edit` pull-down menu of the VPE.)

The input parameters `object` and `position` must be paired. Note that items placed in a series can be selected only by ordinal number, not by series position.

A single CollectSeries module can collect up to 21 objects together in a group. The default number of enabled parameter pairs (i.e., `object`, `position`) is two. (Tabs can be added to the module icon and removed with the appropriate `...Input Tab` options in the `Edit` pull-down menu of the VPE.)

Components

All input components are propagated to the output.

Example Visual Programs

    ManipulateGroups.net

    UsingCompute3.net
    UsingStreakline.net

See Also

Append, Collect, CollectMultiGrid, CollectNamed, Select, Stack

[ OpenDX Home at IBM | OpenDX.org ]